openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/DB6_HIS_DBTBS_XP:
    post:
      tags:
      - SDB6DB02
      summary: 'DB6: get data for database and tablespace history (RFC Layer 1)'
      operationId: /rfc/DB6_HIS_DBTBS_XP
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CONNECTION:
                  type: string
                  maxLength: 30
                  description: Logical name for a database connection
                OBJECTNAME:
                  type: string
                  maxLength: 30
                  description: type of data (Database, Tablespace)
                PARTITN:
                  type: integer
                  format: int32
                  description: partition number
                STATTYPE:
                  type: string
                  maxLength: 1
                  description: type of statistic (D, W, M)
                IT_DB6PM_XPHD:
                  type: array
                  items:
                    type: object
                    properties:
                      STATTYPE:
                        type: string
                        maxLength: 1
                        description: 'DB6: Type of statistics (D=daily,W=weekly,M=monthly)'
                      OBJECTNAME:
                        type: string
                        maxLength: 30
                        description: 'DB6: Tablespace Name'
                      PARTITN:
                        type: integer
                        format: int32
                        description: 'DB6: Partition Number'
                      TOTALKB:
                        type: integer
                        format: int64
                        description: 'DB6: size of object in KB'
                      C_TOTALKB:
                        type: integer
                        format: int64
                        description: 'DB6: size of changes/interval in KB'
                      USEDKB:
                        type: integer
                        format: int64
                        description: 'DB6: used size of object in KB'
                      C_USEDKB:
                        type: integer
                        format: int64
                        description: 'DB6: changes/interval of used size in KB'
                      PCTUSEDKB:
                        type: integer
                        format: int64
                        description: 'DB6: used size of object in %'
                      FREEKB:
                        type: integer
                        format: int64
                        description: 'DB6: free size of object in KB'
                      NUM_CONT:
                        type: integer
                        format: int64
                        description: 'DB6: number of containers'
                      C_NUM_CONT:
                        type: integer
                        format: int64
                        description: 'DB6: changes/interval for number of containers'
              required:
              - OBJECTNAME
              - PARTITN
              - STATTYPE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  IT_DB6PM_XPHD:
                    type: array
                    items:
                      type: object
                      properties:
                        STATTYPE:
                          type: string
                          maxLength: 1
                          description: 'DB6: Type of statistics (D=daily,W=weekly,M=monthly)'
                        OBJECTNAME:
                          type: string
                          maxLength: 30
                          description: 'DB6: Tablespace Name'
                        PARTITN:
                          type: integer
                          format: int32
                          description: 'DB6: Partition Number'
                        TOTALKB:
                          type: integer
                          format: int64
                          description: 'DB6: size of object in KB'
                        C_TOTALKB:
                          type: integer
                          format: int64
                          description: 'DB6: size of changes/interval in KB'
                        USEDKB:
                          type: integer
                          format: int64
                          description: 'DB6: used size of object in KB'
                        C_USEDKB:
                          type: integer
                          format: int64
                          description: 'DB6: changes/interval of used size in KB'
                        PCTUSEDKB:
                          type: integer
                          format: int64
                          description: 'DB6: used size of object in %'
                        FREEKB:
                          type: integer
                          format: int64
                          description: 'DB6: free size of object in KB'
                        NUM_CONT:
                          type: integer
                          format: int64
                          description: 'DB6: number of containers'
                        C_NUM_CONT:
                          type: integer
                          format: int64
                          description: 'DB6: changes/interval for number of containers'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
